%define	upstream_name	 Spiffy
%define	upstream_version 0.46

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Spiffy Perl Interface Framework For You
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/I/IN/INGY/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

# Filter bogus provide of perl(DB)
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\(DB\\)

%description
"Spiffy" is a framework and methodology for doing object oriented (OO)
programming in Perl. Spiffy combines the best parts of Exporter.pm,
base.pm, mixin.pm and SUPER.pm into one magic foundation class. It
attempts to fix all the nits and warts of traditional Perl OO, in a clean,
straightforward and (perhaps someday) standard way.

Spiffy borrows ideas from other OO languages like Python, Ruby, Java and
Perl 6. It also adds a few tricks of its own.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build 

%check
%__make test

%install
%make_install

%files
%doc CONTRIBUTING Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man*/*
%{perl_vendorlib}/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.460.0-6.mga9
+ Revision: 1805777
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.460.0-5.mga8
+ Revision: 1497204
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.460.0-4.mga7
+ Revision: 1271209
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.460.0-3.mga6
+ Revision: 1033301
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.460.0-2.mga6
+ Revision: 968615
- Mageia 6 Mass Rebuild

* Tue Jul 14 2015 sander85 <sander85> 0.460.0-1.mga6
+ Revision: 854128
- update to 0.46

* Sat Oct 18 2014 umeabot <umeabot> 0.410.0-5.mga5
+ Revision: 787816
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.410.0-4.mga5
+ Revision: 749717
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.410.0-3.mga5
+ Revision: 733392
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.410.0-2.mga5
+ Revision: 686216
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 sander85 <sander85> 0.410.0-1.mga5
+ Revision: 660734
- update to 0.41

* Thu Jun 26 2014 jquelin <jquelin> 0.340.0-1.mga5
+ Revision: 640015
- update to 0.34

* Fri Oct 18 2013 umeabot <umeabot> 0.310.0-3.mga4
+ Revision: 514707
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.310.0-2.mga3
+ Revision: 372673
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 17 2012 jquelin <jquelin> 0.310.0-1.mga3
+ Revision: 295171
- update to 0.31

* Wed Jan 19 2011 jquelin <jquelin> 0.30-5.mga1
+ Revision: 24259
- fix specs
- imported package perl-Spiffy


* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.30-5mdv2010.1
+ Revision: 426589
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.30-4mdv2009.0
+ Revision: 224055
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 0.30-3mdv2008.1
+ Revision: 180566
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Apr 25 2007 Olivier Thauvin <nanardon@mandriva.org> 0.30-2mdv2008.0
+ Revision: 18035
- rebuild


* Mon Jan 30 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.30-1mdk
- 0.30

* Tue Jan 24 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.29-1mdk
- 0.29

* Thu Jan 19 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.27-1mdk
- 0.27

* Wed Jan 18 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.26-1mdk
- 0.26

* Tue Jan 10 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.25-1mdk
- 0.25

* Mon May 02 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.24-1mdk
- 0.24

* Mon Apr 18 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.23-1mdk 
- 0.23
- spec cleanup

* Wed Jan 19 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.22-1mdk
- 0.22

* Thu Dec 16 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.21-1mdk
- First MDK release

